org.apache.catalina

## Interface LifecycleListener

- All Known Implementing Classes:
    AprLifecycleListener, ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HeartbeatListener, HostConfig, JmxRemoteLifecycleListener, JniLifecycleListener, JreMemoryLeakPreventionListener, MapperListener, NamingContextListener, SecurityListener, StandardEngine.AccessLogListener, StoreConfigLifecycleListener, SystemPropertyReplacerListener, ThreadLocalLeakPreventionListener, Tomcat.DefaultWebXmlListener, Tomcat.FixContextListener, UserConfig, VersionLoggerListener

      public interface LifecycleListener

  Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface. The listener will be fired after the associated state change has taken place.
  Author:
    Craig R. McClanahan

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

- - ### Method Detail

    - #### lifecycleEvent

          void lifecycleEvent(LifecycleEvent event)

      Acknowledge the occurrence of the specified event.
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.